STC scenario for Trellis HAG topology

Change-Id: Ie0b40a15748a1d925167a247ac31f78b9ed206ac
diff --git a/tools/test/bin/onos-clean-routing b/tools/test/bin/onos-clean-routing
new file mode 100755
index 0000000..ec6dcfd
--- /dev/null
+++ b/tools/test/bin/onos-clean-routing
@@ -0,0 +1,13 @@
+#!/bin/bash
+# -----------------------------------------------------------------------------
+# Cleans up /tmp if a local copy of the routing repo was created
+# -----------------------------------------------------------------------------
+
+
+routing="$1"
+
+[ ! -d "$routing" ] && echo "routing source tree not found" >&2 && exit 1
+
+if [[ $routing = *"/tmp/routing."* ]]; then
+  rm -rf $routing
+fi